Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.publication.protocol.v3
Class PublicationContentType

    java.lang.Object
      be.fgov.ehealth.ehbox.publication.protocol.v3.PublicationContentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:46:16+01:00",
               comments="JAXB RI v2.2.11")
    public class PublicationContentType

extends Object
implements Serializable

Contains all elements relative to the content of the message

Java class for PublicationContentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PublicationContentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Document" type="{urn:be:fgov:ehealth:ehbox:publication:protocol:v3}PublicationDocumentType"/>
             <element name="FreeInformations" type="{urn:be:fgov:ehealth:ehbox:core:v3}FreeInformationsType" minOccurs="0"/>
             <element name="EncryptableINSSPatient" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="Annex" type="{urn:be:fgov:ehealth:ehbox:publication:protocol:v3}PublicationAnnexType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PublicationContentType()`

Method Summary
`List<PublicationAnnexType>` | `getAnnices()` Gets the value of the annices property.
`PublicationDocumentType` | `getDocument()` Gets the value of the document property.
`byte[]` | `getEncryptableINSSPatient()` Gets the value of the encryptableINSSPatient property.
`FreeInformationsType` | `getFreeInformations()` Gets the value of the freeInformations property.
`void` | `setDocument(PublicationDocumentType value)` Sets the value of the document property.
`void` | `setEncryptableINSSPatient(byte[] value)` Sets the value of the encryptableINSSPatient property.
`void` | `setFreeInformations(FreeInformationsType value)` Sets the value of the freeInformations property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicationContentType

    public PublicationContentType()

Method Detail

### getDocument

    public PublicationDocumentType getDocument()

  Gets the value of the document property.

  Returns:
    possible object is `PublicationDocumentType`

### setDocument

    public void setDocument(PublicationDocumentType value)

  Sets the value of the document property.

  Parameters:
    `value` - allowed object is `PublicationDocumentType`

### getFreeInformations

    public FreeInformationsType getFreeInformations()

  Gets the value of the freeInformations property.

  Returns:
    possible object is `FreeInformationsType`

### setFreeInformations

    public void setFreeInformations(FreeInformationsType value)

  Sets the value of the freeInformations property.

  Parameters:
    `value` - allowed object is `FreeInformationsType`

### getEncryptableINSSPatient

    public byte[] getEncryptableINSSPatient()

  Gets the value of the encryptableINSSPatient property.

  Returns:
    possible object is byte[]

### setEncryptableINSSPatient

    public void setEncryptableINSSPatient(byte[] value)

  Sets the value of the encryptableINSSPatient property.

  Parameters:
    `value` - allowed object is byte[]

### getAnnices

    public List<PublicationAnnexType> getAnnices()

  Gets the value of the annices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the annices property.

  For example, to add a new item, do as follows:

          getAnnices().add(newItem);

  Objects of the following type(s) are allowed in the list `PublicationAnnexType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.